# -*- encoding: utf-8 -*-
# stub: pulp_certguard_client 1.0.3 ruby lib

Gem::Specification.new do |s|
  s.name = "pulp_certguard_client".freeze
  s.version = "1.0.3"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["OpenAPI-Generator".freeze]
  s.date = "2020-09-25"
  s.description = "Fetch, Upload, Organize, and Distribute Software Packages".freeze
  s.email = ["pulp-list@redhat.com".freeze]
  s.files = ["Gemfile".freeze, "README.md".freeze, "Rakefile".freeze, "docs/CertguardRHSMCertGuard.md".freeze, "docs/CertguardRHSMCertGuardResponse.md".freeze, "docs/CertguardX509CertGuard.md".freeze, "docs/CertguardX509CertGuardResponse.md".freeze, "docs/ContentguardsRhsmApi.md".freeze, "docs/ContentguardsX509Api.md".freeze, "docs/InlineResponse200.md".freeze, "docs/InlineResponse2001.md".freeze, "docs/PatchedcertguardRHSMCertGuard.md".freeze, "docs/PatchedcertguardX509CertGuard.md".freeze, "git_push.sh".freeze, "lib/pulp_certguard_client.rb".freeze, "lib/pulp_certguard_client/api/contentguards_rhsm_api.rb".freeze, "lib/pulp_certguard_client/api/contentguards_x509_api.rb".freeze, "lib/pulp_certguard_client/api_client.rb".freeze, "lib/pulp_certguard_client/api_error.rb".freeze, "lib/pulp_certguard_client/configuration.rb".freeze, "lib/pulp_certguard_client/models/certguard_rhsm_cert_guard.rb".freeze, "lib/pulp_certguard_client/models/certguard_rhsm_cert_guard_response.rb".freeze, "lib/pulp_certguard_client/models/certguard_x509_cert_guard.rb".freeze, "lib/pulp_certguard_client/models/certguard_x509_cert_guard_response.rb".freeze, "lib/pulp_certguard_client/models/inline_response200.rb".freeze, "lib/pulp_certguard_client/models/inline_response2001.rb".freeze, "lib/pulp_certguard_client/models/patchedcertguard_rhsm_cert_guard.rb".freeze, "lib/pulp_certguard_client/models/patchedcertguard_x509_cert_guard.rb".freeze, "lib/pulp_certguard_client/version.rb".freeze, "pulp_certguard_client.gemspec".freeze, "spec/api/contentguards_rhsm_api_spec.rb".freeze, "spec/api/contentguards_x509_api_spec.rb".freeze, "spec/api_client_spec.rb".freeze, "spec/configuration_spec.rb".freeze, "spec/models/certguard_rhsm_cert_guard_response_spec.rb".freeze, "spec/models/certguard_rhsm_cert_guard_spec.rb".freeze, "spec/models/certguard_x509_cert_guard_response_spec.rb".freeze, "spec/models/certguard_x509_cert_guard_spec.rb".freeze, "spec/models/inline_response2001_spec.rb".freeze, "spec/models/inline_response200_spec.rb".freeze, "spec/models/patchedcertguard_rhsm_cert_guard_spec.rb".freeze, "spec/models/patchedcertguard_x509_cert_guard_spec.rb".freeze, "spec/spec_helper.rb".freeze]
  s.homepage = "https://openapi-generator.tech".freeze
  s.licenses = ["GPL-2.0+".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 1.9".freeze)
  s.rubygems_version = "2.7.6.2".freeze
  s.summary = "Pulp 3 API Ruby Gem".freeze
  s.test_files = ["spec/api/contentguards_rhsm_api_spec.rb".freeze, "spec/api/contentguards_x509_api_spec.rb".freeze, "spec/api_client_spec.rb".freeze, "spec/configuration_spec.rb".freeze, "spec/models/certguard_x509_cert_guard_response_spec.rb".freeze, "spec/models/patchedcertguard_x509_cert_guard_spec.rb".freeze, "spec/models/certguard_x509_cert_guard_spec.rb".freeze, "spec/models/patchedcertguard_rhsm_cert_guard_spec.rb".freeze, "spec/models/certguard_rhsm_cert_guard_spec.rb".freeze, "spec/models/certguard_rhsm_cert_guard_response_spec.rb".freeze, "spec/models/inline_response2001_spec.rb".freeze, "spec/models/inline_response200_spec.rb".freeze, "spec/spec_helper.rb".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<faraday>.freeze, [">= 0.14.0"])
      s.add_runtime_dependency(%q<json>.freeze, [">= 2.1.0", "~> 2.1"])
      s.add_development_dependency(%q<rspec>.freeze, [">= 3.6.0", "~> 3.6"])
    else
      s.add_dependency(%q<faraday>.freeze, [">= 0.14.0"])
      s.add_dependency(%q<json>.freeze, [">= 2.1.0", "~> 2.1"])
      s.add_dependency(%q<rspec>.freeze, [">= 3.6.0", "~> 3.6"])
    end
  else
    s.add_dependency(%q<faraday>.freeze, [">= 0.14.0"])
    s.add_dependency(%q<json>.freeze, [">= 2.1.0", "~> 2.1"])
    s.add_dependency(%q<rspec>.freeze, [">= 3.6.0", "~> 3.6"])
  end
end

